Freeciv-3.3: tax_rates_dialog Class Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Public Member Functions | Private Slots | Private Attributes
tax_rates_dialog Class Reference

`#include <ratesdlg.h>`

Inheritance diagram for tax_rates_dialog:

## Public Member Functions

| tax_rates_dialog (QWidget *parent=nullptr)
Public Member Functions inherited from qfc_dialog
| qfc_dialog (QWidget *parent)
void | reactivate ()

## Private Slots

void | slot_ok_button_pressed ()
void | slot_cancel_button_pressed ()
void | slot_apply_button_pressed ()

## Private Attributes

fc_double_edge * | fcde

## Additional Inherited Members

Protected Member Functions inherited from qfc_dialog
void | paintEvent (QPaintEvent *event)
void | mouseMoveEvent (QMouseEvent *event)
void | mousePressEvent (QMouseEvent *event)
void | mouseReleaseEvent (QMouseEvent *event)

## Detailed Description

Definition at line 79 of file ratesdlg.h.

## Constructor & Destructor Documentation

## ◆ tax_rates_dialog()

tax_rates_dialog::tax_rates_dialog | ( | QWidget * | parent = `nullptr` | ) |

Dialog constructor for changing rates with sliders. Automatic destructor will clean qobjects, so there is no one

Definition at line 44 of file ratesdlg.cpp.

## Member Function Documentation

## ◆ slot_apply_button_pressed

void tax_rates_dialog::slot_apply_button_pressed | ( |  | ) |

privateslot

Pressed "apply" in tax rates dialog.

Definition at line 120 of file ratesdlg.cpp.

Referenced by tax_rates_dialog().

## ◆ slot_cancel_button_pressed

void tax_rates_dialog::slot_cancel_button_pressed | ( |  | ) |

privateslot

When cancel in qtpushbutton pressed selfdestruction :D.

Definition at line 101 of file ratesdlg.cpp.

Referenced by tax_rates_dialog().

## ◆ slot_ok_button_pressed

void tax_rates_dialog::slot_ok_button_pressed | ( |  | ) |

privateslot

When ok in qpushbutton pressed send info to server and selfdestroy :D.

Definition at line 109 of file ratesdlg.cpp.

Referenced by tax_rates_dialog().

## Field Documentation

## ◆ fcde

fc_double_edge* tax_rates_dialog::fcde

private

Definition at line 87 of file ratesdlg.h.

Referenced by slot_apply_button_pressed(), slot_ok_button_pressed(), and tax_rates_dialog().